at.chipkarte.client.ebs.soap

## Class KontaktdatenVerordner

- Object
- - at.chipkarte.client.ebs.soap.KontaktdatenVerordner

-     public class KontaktdatenVerordner
      extends Object

  Dient der Ein- und Ausgabe von Kontaktdaten des Verordners.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KontaktdatenVerordner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnsprechperson()` Vor- und Zuname einer Ansprechperson.
    `String` | `getEmail()` E-Mail-Adresse.
    `String` | `getTelefon()` Telefonnummer.
    `void` | `setAnsprechperson(String ansprechperson)`
    `void` | `setEmail(String email)`
    `void` | `setTelefon(String telefon)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KontaktdatenVerordner

          public KontaktdatenVerordner()

  - ### Method Detail

    - #### getEmail

          public String getEmail()

      E-Mail-Adresse.
      Angabe: Kann.
      Format: 3 bis 256-stellig.
      Wertebereich: Mindestens 1 Zeichen das kein @ ist, gefolgt von einem @ und gefolgt von mindestens 1 Zeichen das kein @ ist.
      Returns:
        Email.

    - #### setEmail

          public void setEmail(String email)

    - #### getTelefon

          public String getTelefon()

      Telefonnummer.
      Angabe: Kann.
      Format: mindestens 9-stellig bis maximal 30-stellig, erlaubte Zeichen: 0-9, /, -, +, \, (, ), Leerzeichen
      Returns:
        Telefon.

    - #### setTelefon

          public void setTelefon(String telefon)

    - #### getAnsprechperson

          public String getAnsprechperson()

      Vor- und Zuname einer Ansprechperson.
      Angabe: Kann.
      Format: 140-stellig
      Returns:
        Ansprechperson.

    - #### setAnsprechperson

          public void setAnsprechperson(String ansprechperson)